so I upgraded to Ubuntu 11.10 from 11.04 <br>same errors<br><br><br><br>is there some way to specify when doing a build to use erts-5.8.4? because for some reason its using 5.9 which is having trouble starting.<br><br><div class="gmail_quote">
On Wed, Nov 9, 2011 at 4:18 PM, Ivan Trajkovic <span dir="ltr"><<a href="mailto:ivan.ebiz@gmail.com">ivan.ebiz@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
Im definitely using R14B3<br>running "riak console" gives me the same errors<div><div></div><div class="h5"><br><br><div class="gmail_quote">On Wed, Nov 9, 2011 at 1:49 PM, Jared Morrow <span dir="ltr"><<a href="mailto:jared@basho.com" target="_blank">jared@basho.com</a>></span> wrote:<br>

<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Like I said, you seem to be using R15 in your building of riak, that's why you have a erts-5.9 directory instead of erts-5.8.4.   Please uninstall your erlang version, and try using erlang-r14b03.   Using something like <a href="https://github.com/spawngrid/kerl" target="_blank">kerl</a> will make it easier to manage multiple versions of erlang.<div>


<br></div><div>Good luck,</div><div>Jared<div><div></div><div><br><br><div class="gmail_quote">On Wed, Nov 9, 2011 at 12:59 AM, Ivan Trajkovic <span dir="ltr"><<a href="mailto:ivan.ebiz@gmail.com" target="_blank">ivan.ebiz@gmail.com</a>></span> wrote:<br>


<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">@Andrew<br>erlang builds fine every time, never had a problem with that. <br>following the riak build sequence to the letter that you listed riak builds fine like last time<br>


but the same message comes up:<br>//------------------------------------------------------------------------------------------------<br>
~/Desktop/riak/rel/riak$ bin/riak start<br>escript: Failed to open file:
                            ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetoolbellowescript: Failed to open file:
                            ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetool<br><div> Error reading
                            ~/Desktop/riak/rel/riak/etc/app.config<br>//------------------------------------------------------------------------------------------------<br>so
 then I went ahead and tried out to see what happens if I move 
"nodetool" from erts-5.8.4 to erts-5-9, which is where it seems to be 
looking for it at, only to get further new errors:<br>//------------------------------------------------------------------------------------------------<br>~/Desktop/riak/rel/riak$ mv erts-5.8.4/bin/nodetool erts-5.9/bin/<br>



~/Desktop/riak/rel/riak$ bin/riak start<br><br>Crash dump was written to: erl_crash.dump<br></div><div> init terminating in do_boot ()<br><br>Crash dump was written to: erl_crash.dump<br>init terminating in do_boot ()<br>



Error reading ~/Desktop/riak/rel/riak/etc/app.config<br>{"init terminating in do_boot",{'cannot get bootfile','start_clean.boot'}}<br>//------------------------------------------------------------------------------------------------<br>



<br>thanks</div><div><div></div><div>
<br><div class="gmail_quote">On Tue, Nov 8, 2011 at 11:44 PM, Andrew Musselman <span dir="ltr"><<a href="mailto:andrew.musselman@gmail.com" target="_blank">andrew.musselman@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">





  
    
  
  <div bgcolor="#FFFFFF" text="#000000">
    Have you tried this series of commands?<div><br>
    <br>
    wget <a href="http://erlang.org/download/otp_src_R14B03.tar.gz" target="_blank">http://erlang.org/download/otp_src_R14B03.tar.gz</a><br>
    tar xzvf otp_src_R14B03.tar.gz<br>
    cd otp_src_R14B03/<br>
    ./configure && make && sudo make install<br>
    <br>
    git clone <a href="https://github.com/basho/riak.git" target="_blank">https://github.com/basho/riak.git</a><br>
    cd riak/<br>
    git checkout 1.0.1-release<br>
    git fetch<br>
    git pull<br>
    make rel<br>
    <br></div>
    If that fails please answer with relevant errors along the way..<br>
    <br>
    Best<br><font color="#888888">
    Andrew</font><div><div></div><div><br>
    <br>
    On 11/08/2011 06:23 PM, Ivan Trajkovic wrote:
    <blockquote type="cite">I have ubuntu 11.04, not 11.10<br>
      could that be an issue<br>
      <br>
      <div class="gmail_quote">On Tue, Nov 8, 2011 at 8:14 PM, Andrew
        Musselman <span dir="ltr"><<a href="mailto:andrew.musselman@gmail.com" target="_blank">andrew.musselman@gmail.com</a>></span>
        wrote:<br>
        <blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
          <div bgcolor="#FFFFFF" text="#000000"> I can confirm building
            both erlang and riak from source on Ubuntu 11.10 works.<br>
            <br>
            That is, everything builds without any complaints or editing
            config files, and then I'm able to add an object to a riak
            client.<br>
            <br>
            wget <a href="http://erlang.org/download/otp_src_R14B03.tar.gz" target="_blank">http://erlang.org/download/otp_src_R14B03.tar.gz</a><br>
            tar xzvf otp_src_R14B03.tar.gz<br>
            cd otp_src_R14B03/<br>
            ./configure && make && sudo make install<br>
            <br>
            git clone <a href="https://github.com/basho/riak.git" target="_blank">https://github.com/basho/riak.git</a><br>
            cd riak/<br>
            git checkout 1.0.1-release<br>
            git fetch<br>
            git pull<br>
            make rel<br>
            <br>
            Thanks all for the advice.<br>
            <br>
            Best<br>
            <font color="#888888"> Andrew</font>
            <div>
              <div><br>
                <br>
                <br>
                On 11/08/2011 04:49 PM, Ivan Trajkovic wrote: </div>
            </div>
            <blockquote type="cite">
              <div>
                <div>yep encountered that issue already and
                  made sure Im using whats supported<br>
                  so R14B3, and checking out riak-1.0.1<br>
                  <br>
                  <div class="gmail_quote">On Tue, Nov 8, 2011 at 7:17
                    PM, Jared Morrow <span dir="ltr"><<a href="mailto:jared@basho.com" target="_blank">jared@basho.com</a>></span>
                    wrote:<br>
                    <blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
                      <div><span style="font-family:arial, sans-serif;font-size:13px;background-color:rgb(255, 255, 255)">When you say you are building from
                          source (github) 1.0.1, are you doing a 'git
                          checkout riak-1.0.1' or building from
                          'master'?   One note, based on your erts
                          version, you are using a newer erlang than we
                          support.   We have not built or tested Riak
                          against erlang R15.   Try using R14B02 or
                          R14B03 for Riak 1.0.1.   If you are building
                          Riak off of master, you can use R14B04 as
                          well.</span>
                        <div style="font-family:arial, sans-serif;font-size:13px;background-color:rgb(255, 255, 255)"> <br>
                        </div>
                      </div>
                      <div style="font-family:arial, sans-serif;font-size:13px;background-color:rgb(255, 255, 255)"><font color="#888888">-Jared</font></div>
                      <br>
                      <div class="gmail_quote">
                        <div>On Tue, Nov 8, 2011 at 3:45 PM, Ivan
                          Trajkovic <span dir="ltr"><<a href="mailto:ivan.ebiz@gmail.com" target="_blank">ivan.ebiz@gmail.com</a>></span>
                          wrote:<br>
                          <blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">hi Jared, thank
                            you for your fast response... <br>
                            interestingly riak 1.0.1 does build now,
                            from source (github)... unlike before... not
                            really sure what changed.<br>
                            but the old errors are coming up again, when
                            trying to start riak:<br>
                            <br>
                            ~/Desktop/riak/rel/riak$ bin/riak start<br>
                            escript: Failed to open file:
                            ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetool<br>
                            escript: Failed to open file:
                            ~/Desktop/riak/rel/riak/erts-5.9/bin/nodetool<br>
                            Error reading
                            ~/Desktop/riak/rel/riak/etc/app.config<br>
                            <br>
                            <br>
                            erts-5.9/bin/nodetool really isnt there<br>
                            app.config however is present, but Im
                            guessing that error is dependent on the
                            nodetool failure error coming up
                            <div>
                              <div><br>
                                <br>
                              </div>
                            </div>
                          </blockquote>
                          <div><br>
                          </div>
                        </div>
                        <div><Thread deleted for size constraints
                          > </div>
                      </div>
                    </blockquote>
                  </div>
                  <br>
                  <br>
                  <fieldset></fieldset>
                  <br>
                </div>
              </div>
              <div>
                <pre>_______________________________________________
riak-users mailing list
<a href="mailto:riak-users@lists.basho.com" target="_blank">riak-users@lists.basho.com</a>
<a href="http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com" target="_blank">http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com</a>
</pre>
              </div>
            </blockquote>
            <br>
          </div>
        </blockquote>
      </div>
      <br>
      <br>
      <fieldset></fieldset>
      <br>
      <pre>_______________________________________________
riak-users mailing list
<a href="mailto:riak-users@lists.basho.com" target="_blank">riak-users@lists.basho.com</a>
<a href="http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com" target="_blank">http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com</a>
</pre>
    </blockquote>
    <br>
  </div></div></div>

</blockquote></div><br>
</div></div><br>_______________________________________________<br>
riak-users mailing list<br>
<a href="mailto:riak-users@lists.basho.com" target="_blank">riak-users@lists.basho.com</a><br>
<a href="http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com" target="_blank">http://lists.basho.com/mailman/listinfo/riak-users_lists.basho.com</a><br>
<br></blockquote></div><br></div></div></div>
</blockquote></div><br>
</div></div></blockquote></div><br>